iHackintosh

Jailbreak your iPhone

Downgrade iPhone 3G Baseband from 4.26 to 2.28 for OS 3.0 only.

Advertisements

StealthBravo Moderator at MMI posted a most awaited downgrade guide for the peoples who accidently upgrades their iPhone 3G to OS 3.0 The exploit is based on same as GeoHot discovered to downgrade from 02.30.03 to 02.28.00 . The 3G Baseband Downgrade just works on iPhones 3G with Bootloader 5.8 remember you have bootloader 5.8 not 5.9. You can check your bootloader by following this guide here. StealthBravo developed two BB Downgrade patches named “StealthBravoBBDowngrade“. First patch is developed for downgrading baseband from 4.26 to 2.28 and Second one is developed for downgrading baseband from 4.26 to 4.22 StealthBravo Also posted step by step guide which are given below. First Guide explains how to downgrade baseband from 4.26 to 2.28 so that you can unlock your iPhone 3G 2.2.1 again with Yellowsn0w 0.9.8 and the second guide is for the peoples who are using Sim Adapter Cloning to unlock the iPhone OS 3.0 beta as the beta 4 upgrades your baseband to 4.26 and most of Sim Clones works up to Baseband 4.24 so we have another guide To Downgrade your baseband from 4.26 to 4.22:

 

To Downgrade your baseband from 4.26 to 2.28:

1. Make sure you are running firmware 2.2.1 and jailbroken with OpenSSH installed.

 

2. Launch Cydia or Icy and Install 3G Baseband Downgrade (BigBoss Repo)

3. Download the BB Downgrade Patch: StealthBravoBBDowngrade

4. Copy the fls and eep file from 4.26 folder in the Downloaded BB Patch into /Applications/3GBBD on the phone. Overwrite the current files

5. On the phone run 3GBBD on the springboard and hit go

6. This will take a minute or two

7. When complete it should give you a green screen that says successful

8. DO NOT CLICK GO AGAIN!

9. Press the home button and then reboot your phone

10. When your phone comes back, Goto settings -> general -> about and verify you are on 2.28
You now can now run yellowsnow to unlock your phone again.

To Downgrade your baseband from 4.26 to 4.22:

1. Make sure you are running firmware 3.0 and jailbroken with OpenSSH installed.

2. Launch Icy and Install 3G Baseband Downgrade (BigBoss Repo)

3. Download the BB Downgrade Patch: StealthBravoBBDowngrade

4. Copy the BBUpdaterExtreme into /Applications/3GBBD on the phone. Overwrite the current file

5. Check the permissions for BBUpdaterExtreme and make sure they are set to 777

6. Copy the fls and eep file from 4.26 folder in the Downloaded BB Patch into /Applications/3GBBD on the

phone. Overwrite the current files

7. On the phone run 3GBBD on the springboard and hit go

8. This will take a minute or two

9. When complete it should give you a green screen that says successful

10. DO NOT CLICK GO AGAIN!

11. Press the home button and then reboot your phone

12. When your phone comes back, Goto settings -> general -> about and verify you are on 2.28

13. Copy the fls and eep file from 4.22 folder in the Downloaded BB Patch into /Applications/3GBBD on the phone. Overwrite the current files

14. On the phone run 3GBBD on the springboard and hit go

15. This will take a minute or two

16. When complete it should give you a green screen that says successful

17. DO NOT CLICK GO AGAIN!

18. Press the home button and then reboot your phone

19. When your phone comes back, Goto settings -> general -> about and verify you are on 4.22

20. You can now insert your sim adapter into your phone and you should have service!

_____________________________________________________________________________________

Advertisements

Tags: , , , , , ,

Comments ( 6 )

Have Something To Say ?

  1. scott May 12, 2009 Reply

    @ Vinay

    Thanks for that. Already have 5.9 bootloader and enjoying! resetting my piggy back sim every three days or so! I suppose i was just being hopeful!

  2. scott May 11, 2009 Reply

    Without being really stupid! does this downgrade mean that it is possible to upgrade my 2.2.1 and 02.30.03 baseband to 3.0 and 4.26 and then downgrade back to 2.28? Hope so!!!!

    • Vinay Prashar May 11, 2009 Reply

      @ Scott,

      Don’t do that it may upgrade your bootloader to 5.9 or 6.2 and the procedure given above works up to bootloader 5.8 and 5.9 is unbrickable at the moment. The procedure we published is for the peoples who accidentally upgraded but they are still on bootloader 5.8 You better have to wait for 4 more weeks untill the final stable release will come out and i hope Dev team also launch Quickpwn ASAP

  3. Paiboon May 9, 2009 Reply

    In case we use BB Downgrade patches named “StealthBravoBBDowngrade to downgrade baseband from 4.26 to 2.28 whether any problem with the bootloader 5.8 or 5.9 etc? if having no problem then I think for those bootloader 5.9 to better upgrade fw to 3.0 to get baseband 4.26 then later downgrade to 2.28 with this patch then it can be unlocked, isn’t it?

    Anyone can share the idea how possible it is?

  4. James May 9, 2009 Reply

    Dude, instructions are above^^^^

  5. ramon May 8, 2009 Reply

    is any one have done this and can help a first timer I really need help

Leave your comment here